summaryrefslogtreecommitdiffstats
path: root/ci/exec_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/exec_test.sh')
-rwxr-xr-xci/exec_test.sh18
1 files changed, 17 insertions, 1 deletions
diff --git a/ci/exec_test.sh b/ci/exec_test.sh
index e402e0c31..ad1e56372 100755
--- a/ci/exec_test.sh
+++ b/ci/exec_test.sh
@@ -60,6 +60,18 @@ function odl_tests(){
fi
}
+function sfc_prepare(){
+ ids=($(neutron security-group-list|grep default|awk '{print $2}'))
+ for id in ${ids[@]}; do
+ if ! neutron security-group-show $id|grep "22/tcp" &>/dev/null; then
+ neutron security-group-rule-create --protocol tcp \
+ --port-range-min 22 --port-range-max 22 --direction ingress $id
+ neutron security-group-rule-create --protocol tcp \
+ --port-range-min 22 --port-range-max 22 --direction egress $id
+ fi
+ done
+}
+
function run_test(){
test_name=$1
serial_flag=""
@@ -151,7 +163,7 @@ function run_test(){
# pass FUNCTEST_REPO_DIR inside prepare_odl_sfc.bash
FUNCTEST_REPO_DIR=${FUNCTEST_REPO_DIR} bash ${ODL_SFC_DIR}/prepare_odl_sfc.bash || exit $?
source ${ODL_SFC_DIR}/tackerc
- python ${ODL_SFC_DIR}/sfc.py $report
+ python ${ODL_SFC_DIR}/sfc_colorado1.py $report
;;
"parser")
python ${FUNCTEST_REPO_DIR}/testcases/vnf/vRNC/parser.py $report
@@ -200,6 +212,10 @@ done
echo "Sourcing Credentials ${FUNCTEST_CONF_DIR}/openstack.creds to run the test.."
source ${FUNCTEST_CONF_DIR}/openstack.creds
+# ODL Boron workaround to create additional flow rules to allow port 22 TCP
+if [[ $DEPLOY_SCENARIO == *"odl_l2-sfc"* ]]; then
+ sfc_prepare
+fi
# Run test
run_test $TEST